from openlog.plugins.extensions.stacked_charts.classes import StackedPlotConfig
from openlog.plugins.hookspecs import StackedChartsHook, hookimpl

PLUGIN_NAME = "stacked_charts"


@hookimpl
def stacked_charts_plugin():
    return StackedChartsHook(
        name=PLUGIN_NAME, enable=False, config_factory=StackedPlotConfig
    )
